diff --git a/components/modules/ai/who_human_face_detection.hpp b/components/modules/ai/who_human_face_detection.hpp
deleted file mode 100644
index c3b8b4f..0000000
--- a/components/modules/ai/who_human_face_detection.hpp
+++ /dev/null
@@ -1,12 +0,0 @@
-#pragma once
-
-#include "freertos/FreeRTOS.h"
-#include "freertos/queue.h"
-#include "freertos/task.h"
-#include "freertos/semphr.h"
-
-void register_human_face_detection(QueueHandle_t frame_i,
-                                   QueueHandle_t event,
-                                   QueueHandle_t result,
-                                   QueueHandle_t frame_o = NULL,
-                                   const bool camera_fb_return = false);
diff --git a/components/modules/ai/who_human_face_detection.cpp b/components/modules/ai/who_plumerai_people_detection.cpp
similarity index 91%
rename from components/modules/ai/who_human_face_detection.cpp
rename to components/modules/ai/who_plumerai_people_detection.cpp
index af7dfab..71ceb48 100644
--- a/components/modules/ai/who_human_face_detection.cpp
+++ b/components/modules/ai/who_plumerai_people_detection.cpp
@@ -1,4 +1,4 @@
-#include "who_human_face_detection.hpp"
+#include "who_plumerai_people_detection.hpp"
 
 #include "esp_log.h"
 #include "esp_camera.h"
@@ -31,7 +31,7 @@ constexpr int lcd_height = 240;
 constexpr int lcd_display_height = 180;  // For 4:3 aspect ratio
 camera_fb_t * lcd_buffer = nullptr;
 
-static const char *TAG = "human_face_detection";
+static const char *TAG = "plumerai_people_detection";
 
 static QueueHandle_t xQueueFrameI = NULL;
 static QueueHandle_t xQueueEvent = NULL;
@@ -120,11 +120,11 @@ static void task_event_handler(void *arg)
     }
 }
 
-void register_human_face_detection(const QueueHandle_t frame_i,
-                                   const QueueHandle_t event,
-                                   const QueueHandle_t result,
-                                   const QueueHandle_t frame_o,
-                                   const bool camera_fb_return)
+void register_plumerai_people_detection(const QueueHandle_t frame_i,
+                                        const QueueHandle_t event,
+                                        const QueueHandle_t result,
+                                        const QueueHandle_t frame_o,
+                                        const bool camera_fb_return)
 {
     xQueueFrameI = frame_i;
     xQueueFrameO = frame_o;
diff --git a/components/modules/ai/who_plumerai_people_detection.hpp b/components/modules/ai/who_plumerai_people_detection.hpp
new file mode 100644
index 0000000..e5e57ae
--- /dev/null
+++ b/components/modules/ai/who_plumerai_people_detection.hpp
@@ -0,0 +1,12 @@
+#pragma once
+
+#include "freertos/FreeRTOS.h"
+#include "freertos/queue.h"
+#include "freertos/task.h"
+#include "freertos/semphr.h"
+
+void register_plumerai_people_detection(QueueHandle_t frame_i,
+                                        QueueHandle_t event,
+                                        QueueHandle_t result,
+                                        QueueHandle_t frame_o = NULL,
+                                        const bool camera_fb_return = false);
diff --git a/examples/human_face_detection/lcd/CMakeLists.txt b/examples/human_face_detection/lcd/CMakeLists.txt
index 501e616..f260609 100644
--- a/examples/human_face_detection/lcd/CMakeLists.txt
+++ b/examples/human_face_detection/lcd/CMakeLists.txt
@@ -6,5 +6,5 @@ set(EXTRA_COMPONENT_DIRS ../../../components)
 add_compile_options(-fdiagnostics-color=always)
 include($ENV{IDF_PATH}/tools/cmake/project.cmake)
 include_directories(${CMAKE_CURRENT_LIST_DIR}/plumerai_people_detection_micro_esp32/include)
-project(human_face_detection_lcd)
+project(plumerai_people_detection_lcd)
 target_link_libraries(${PROJECT_NAME}.elf ${CMAKE_CURRENT_LIST_DIR}/plumerai_people_detection_micro_esp32/lib/esp32-s3/libplumerai_people_detection_micro.a)
diff --git a/examples/human_face_detection/lcd/main/app_main.cpp b/examples/human_face_detection/lcd/main/app_main.cpp
index 71ad158..cfbeb89 100755
--- a/examples/human_face_detection/lcd/main/app_main.cpp
+++ b/examples/human_face_detection/lcd/main/app_main.cpp
@@ -1,5 +1,5 @@
 #include "who_camera.h"
-#include "who_human_face_detection.hpp"
+#include "who_plumerai_people_detection.hpp"
 #include "who_lcd.h"
 
 static QueueHandle_t xQueueAIFrame = NULL;
@@ -11,6 +11,6 @@ extern "C" void app_main()
     xQueueLCDFrame = xQueueCreate(2, sizeof(camera_fb_t *));
 
     register_camera(PIXFORMAT_RGB565, FRAMESIZE_VGA, 1, xQueueAIFrame);
-    register_human_face_detection(xQueueAIFrame, NULL, NULL, xQueueLCDFrame, false);
+    register_plumerai_people_detection(xQueueAIFrame, NULL, NULL, xQueueLCDFrame, false);
     register_lcd(xQueueLCDFrame, NULL, true);
 }
